commit:     0e363d178c8a85e655f75d9cfe8a0252b2ce0661
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 24 13:33:31 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Nov 24 13:33:44 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e363d17

dev-util/redo: Versions 0.31 99999

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 dev-util/redo/Manifest          |  1 +
 dev-util/redo/redo-0.31.ebuild  | 42 +++++++++++++++++++++++++++++++++++++++++
 dev-util/redo/redo-99999.ebuild | 41 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 84 insertions(+)

diff --git a/dev-util/redo/Manifest b/dev-util/redo/Manifest
index 003b5ce4511..91f1ab6984a 100644
--- a/dev-util/redo/Manifest
+++ b/dev-util/redo/Manifest
@@ -1 +1,2 @@
 DIST redo-0.21.tar.gz 87347 BLAKE2B 
1d97f6b4f862e61f9074d0dd57293b3ab61a4f3f26781b242450bd1e194b941a8a169767739ddfffd0a8d721a95229637e8c6d9083d2c67d664b19551db0bc6d
 SHA512 
8fe9ba0a5b0b4bf9073456a4b4fa7bebcb51ceb4fb06a16dd671fc48ba480f2ee4ba1eae48cebc3c15687de43833324eb6f98642843be71ab7aa2fe471ab7958
+DIST redo-0.31.tar.gz 105335 BLAKE2B 
76171a4e7112c7478fcfe8d6f19ffb27660fa8566be3c2dded0026a993224731cdeb43c5cd7226b5537f69dc9de982e0dc9a95ade49809c93c81474879de8590
 SHA512 
c049a2eac7385813fe7ee8fb15f7b7de1fe1572071de91c8ebaca868d7b4ceec73d6433f1ba37b129ce7eda577c5823a5483ba69bf457cc3295d7fb9c23f42b2

diff --git a/dev-util/redo/redo-0.31.ebuild b/dev-util/redo/redo-0.31.ebuild
new file mode 100644
index 00000000000..751f2de294b
--- /dev/null
+++ b/dev-util/redo/redo-0.31.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+inherit multilib multiprocessing python-single-r1
+
+DESCRIPTION="Smaller, easier, more powerful, and more reliable than make"
+HOMEPAGE="https://github.com/apenwarr/redo";
+SRC_URI="${HOMEPAGE}/archive/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86"
+DEPEND="
+       dev-python/beautifulsoup[${PYTHON_USEDEP}]
+       dev-python/markdown[${PYTHON_USEDEP}]
+"
+S=${WORKDIR}/${PN}-${P}
+
+src_compile() {
+       ./redo -j$(makeopts_jobs) || die
+}
+
+src_test() {
+       ./redo -j$(makeopts_jobs) test || die
+}
+
+src_install() {
+       DESTDIR="${D}" \
+       DOCDIR="${D}/usr/share/doc/${PF}" \
+       LIBDIR="${D}/usr/$(get_libdir)/${PN}" \
+       ./redo -j$(makeopts_jobs) \
+               install || die
+
+       python_fix_shebang "${D}"
+
+       sed -i \
+               -e 's|/lib/|/'"$(get_libdir)"'/|g' \
+               "${D}"/usr/bin/* || die
+}

diff --git a/dev-util/redo/redo-99999.ebuild b/dev-util/redo/redo-99999.ebuild
new file mode 100644
index 00000000000..44c936cb530
--- /dev/null
+++ b/dev-util/redo/redo-99999.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+inherit git-r3 multilib multiprocessing python-single-r1
+
+DESCRIPTION="Smaller, easier, more powerful, and more reliable than make"
+HOMEPAGE="https://github.com/apenwarr/redo";
+EGIT_REPO_URI="${HOMEPAGE}"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS=""
+DEPEND="
+       dev-python/beautifulsoup[${PYTHON_USEDEP}]
+       dev-python/markdown[${PYTHON_USEDEP}]
+"
+
+src_compile() {
+       ./redo -j$(makeopts_jobs) || die
+}
+
+src_test() {
+       ./redo -j$(makeopts_jobs) test || die
+}
+
+src_install() {
+       DESTDIR="${D}" \
+       DOCDIR="${D}/usr/share/doc/${PF}" \
+       LIBDIR="${D}/usr/$(get_libdir)/${PN}" \
+       ./redo -j$(makeopts_jobs) \
+               install || die
+
+       python_fix_shebang "${D}"
+
+       sed -i \
+               -e 's|/lib/|/'"$(get_libdir)"'/|g' \
+               "${D}"/usr/bin/* || die
+}

Reply via email to